/*
 * Display.hpp
 *
 *  Created on: Jul 29, 2023
 *      Author: Carst
 */

#ifndef DISPLAY_HPP_
#define DISPLAY_HPP_

#ifdef __cplusplus
 extern "C" {
   #include <cstdint>
#else
  #include <stdint.h>
#endif

void LCD_RS_SetLow(void);
void LCD_RS_SetHigh(void);
void LCD_RW_SetLow(void);
void LCD_RW_SetHigh(void);
void LCD_E_SetLow(void);
void LCD_E_SetHigh(void);
void LCD_DB_Set(uint8_t data); // Write data
uint8_t LCD_DB_Get(void); // Read Data
void LCD_DB_ConfigInput(void); // Konfiguriere I/O als Input
void LCD_DB_ConfigOutput(void); // Konfiguriere I/O als Output

#ifdef __cplusplus
namespace ElektronischeLast
{
  class Display
  {
    public:
      Display(void);
      ~Display(void);
      void NewData(uint32_t strom, uint32_t spannung, uint32_t temperatur);
  };
}
#endif
#ifdef __cplusplus
 }
#endif

#endif /* DISPLAY_HPP_ */
